Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21955 - Delay initialization of tools actions
Delay initialization of tools actions
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: Jaroslav Tulach
issues@platform
: PERFORMANCE
Depends on:
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-28 16:51 UTC by Jaroslav Tulach
Modified: 2008-12-22 21:55 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-28 16:51:20 UTC
They are loaded into VM on startup, load them as soon as somebody asks for them.
Comment 1 Jaroslav Tulach 2002-03-28 17:22:07 UTC
Checking in ModuleActions.java;
/cvs/core/src/org/netbeans/core/ModuleActions.java,v  <-- 
ModuleActions.java
new revision: 1.20; previous revision: 1.19
done
Processing log script arguments...
More commits to come...
Checking in modules/NbInstaller.java;
/cvs/core/src/org/netbeans/core/modules/NbInstaller.java,v  <-- 
NbInstaller.java
new revision: 1.29; previous revision: 1.28
Comment 2 pzajac 2003-09-03 11:46:12 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo